#include <bits/stdc++.h>

using namespace std;

int main()
{
    int i, j, N, Q, e, l, r;
    cin>>N;
    int A[N], ANS[N]={0};
    for (i=0;i<N;i++)
        cin>>A[i];
    for (i=1;i<N;i++)
        if (A[i-1]>A[i])
            ANS[i-1]=1;
    cin>>Q;
    string ANSstring[Q];
    for (i=0;i<Q;i++)
    {
        cin>>l>>r;
        e=0;
        for (j=l-1;j<r-1;j++)
            e+=ANS[j];
        if (e>1)
            ANSstring[i]="NE";
        else
            ANSstring[i]="DA";

    }
    for (i=0;i<Q;i++)
    {
        cout<<ANSstring[i];
        if (i+1<Q)
            cout<<endl;
    }
    return 0;
}